%% phi1 for deterministic switching, Rozenbaum JETP Lett. 2009, and personal communication 2017
% Ofer Kedem, Northwestern University 2017
% Contact at www.oferkedem.com
% Kedem, Lau and Weiss, Nano Lett., 2017

function phi1_det = phi1_det(xi,delta,n_elements)
A = zeros(length(xi),length(delta),length(n_elements));
C = zeros(length(xi),length(delta));

for i = 1:length(xi)
    for j = 1:length(delta)
        for k = 1:n_elements
            x = 2*pi*xi(i);
            y = 2*pi*delta(j);
            n = k;
            A(i,j,k) = (x*(7+2*x^2*n^2)*(1-cos(y*n)))/((1+x^2*n^2)^2*(16+x^2*n^2));
            C(i,j) = C(i,j) + A(i,j,k);
        end
        phi1_det(i,j) = (12/(pi^2))*x*C(i,j);
    end
end
end